/*
 * generated by Xtext 2.29.0
 * (c) Evoal Project
 */
package de.evoal.languages.model.dl.dsl.tests

import com.google.inject.Inject
import de.evoal.languages.model.dl.DefinitionModule
import org.eclipse.xtext.testing.InjectWith
import org.eclipse.xtext.testing.extensions.InjectionExtension
import org.eclipse.xtext.testing.util.ParseHelper
import org.junit.jupiter.api.Test
import org.junit.jupiter.api.^extension.ExtendWith
import org.eclipse.emf.ecore.EObject
import org.eclipse.xtext.resource.impl.ResourceDescriptionsProvider
import org.junit.jupiter.api.Assertions

@ExtendWith(InjectionExtension)
@InjectWith(DefinitionLanguageInjectorProvider)
class DefinitionLanguageParsingTest {
	@Inject
	ParseHelper<DefinitionModule> parser
	
	@Inject ResourceDescriptionsProvider rdp
	
	@Test
	def void testExportedObjects() {
		val model = parser.parse('''
			module foobar.wombat {
				type tele {}
			}
		''')
		
		assertExportedEObjectDescriptions(model, "foobar.wombat, foobar.wombat.tele")

	}
	
	 def private assertExportedEObjectDescriptions(EObject o, CharSequence expected) {
	 	val index = rdp.getResourceDescriptions(o.eResource);
	 	val description = index.getResourceDescription(o.eResource.URI);
	 	
	 	Assertions.assertEquals(expected.toString, description.exportedObjects.map[it.name].join(", "))
	}
}
